@import '~/node_modules/@eonasdan/tempus-dominus/dist/css/tempus-dominus.css';

.tempus-dominus-widget {
  @apply text-sm leading-5 border border-gray-300 shadow;
  @apply text-gray-800 mt-px #{!important}; // Note: the ! directive cannot be used inside an @apply rule, see https://github.com/tailwindlabs/discuss/issues/224#issuecomment-463616957


  svg {
    @apply inline-block w-6 h-6 stroke-current stroke-2 fill-none	;

    stroke-linecap: round;
    stroke-linejoin: round;
  }

  &.light {
    .date-container-decades div:not(.no-highlight).active,
    .date-container-years div:not(.no-highlight).active,
    .date-container-months div:not(.no-highlight).active,
    .date-container-days div:not(.no-highlight).active,
    .date-container-days div.range-in:not(.no-highlight),
    .date-container-days div.range-end:not(.no-highlight),
    .date-container-days div.range-start:not(.no-highlight),
    .time-container-clock div:not(.no-highlight).active,
    .time-container-hour div:not(.no-highlight).active,
    .time-container-minute div:not(.no-highlight).active,
    .time-container-second div:not(.no-highlight).active {
      @apply bg-sky-500;
    }
  }
}
